      MODULE NDST_S
C
C
C
      SAVE
C
      INTEGER NDST
C
      END MODULE
      MODULE TFLOGIC
C
C
C
      SAVE
C
      LOGICAL
     :T           ,F
C
      PARAMETER (T=.TRUE.,F=.FALSE.)
C
      END MODULE